<?php
/*
 *  Custom Widget
 *
 */
// register widget
add_action('widgets_init', 'featured_custom_widget');
function featured_custom_widget() {
    register_widget( 'featured_custom' );
}

// featured_custom widget class
class featured_custom extends WP_Widget {
    
    function __construct() {
        $widget_ops = array('classname' => 'featured-custom');
        parent::__construct('featured-custom-widget', __('Featured: custom Widget','featured'), $widget_ops);
    }
    function widget($args, $instance) {
        extract($args);
   // widget content
echo $before_widget;
$id = isset($instance['id'])?$instance['id']:'';
$heading = isset($instance['heading'])?$instance['heading']:'';
$subheading = isset($instance['subheading'])?$instance['subheading']:'';
$textar = isset($instance['textar'])?$instance['textar']:''; 
$headingclr = isset($instance['headingclr'])?$instance['headingclr']:'#333';
$subheadingclr = isset($instance['subheadingclr'])?$instance['subheadingclr']:'#333';    
$bgcolor = isset($instance['bgcolor'])?$instance['bgcolor']:'#fff';
?>
<!-- start-custom-section -->
<section id="<?php echo $id; ?>" class="custom-section" style="background-color:<?php echo $bgcolor; ?>">
<div class="container">
    <h2 class="head-text wow fadeInLeft" data-wow-duration="1s" style="color:<?php echo $headingclr; ?>"><?php echo $heading;?></h2>
    <h3 class="subhead-text wow fadeInLeft" data-wow-duration="1s" style="color:<?php echo $subheadingclr; ?>"><?php echo $subheading;?></h3>
   <div class="cust-block">
     <?php echo $textar; ?>
   </div>
</section>
<!-- start-custom-section -->
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['id'] = $new_instance['id'];
        $instance['heading'] = $new_instance['heading'];
        $instance['subheading'] = $new_instance['subheading'];
        $instance['textar'] = $new_instance['textar'];
        $instance['headingclr'] = $new_instance['headingclr'];
         $instance['subheadingclr'] = $new_instance['subheadingclr'];
        $instance['bgcolor'] = $new_instance['bgcolor'];
        
        return $instance;
    }

    function form($instance) {
        if( $instance) {
        $id = $instance['id'];    
        $heading = $instance['heading'];
        $subheading = $instance['subheading'];
        $textar = $instance['textar'];
        $headingclr = $instance['headingclr'];
        $subheadingclr = $instance['subheadingclr'];
        $bgcolor = $instance['bgcolor'];


    } else {
        $id = '';
        $heading = '';
        $subheading = '';
        $textar = '';
        $headingclr = '#333';
        $subheadingclr = '#333';
        $bgcolor = '#fff';

    }
    ?>
        <div class="clearfix"></div>
    <p>
      <label for="<?php echo $this->get_field_id('id'); ?>"><?php _e('Section Id','featured'); ?>
      </label>
      <input type="text" class="widefat" name="<?php echo $this->get_field_name('id'); ?>" id="<?php echo $this->get_field_id('id'); ?>" value="<?php  echo $id; ?>" style="margin-top:5px;">
    </p>
   <p>
      <label for="<?php echo $this->get_field_id('heading'); ?>"><?php _e('Heading','featured'); ?>
      </label>
      <textarea  name="<?php echo $this->get_field_name('heading'); ?>" id="<?php echo $this->get_field_id('heading'); ?>"  class="widefat" ><?php echo $heading; ?></textarea>
    </p>
   <p>
     <label for="<?php echo $this->get_field_id('subheading'); ?>"><?php _e('Subheading','featured'); ?></label>
     <textarea  name="<?php echo $this->get_field_name('subheading'); ?>" id="<?php echo $this->get_field_id('subheading'); ?>"  class="widefat" ><?php echo $subheading; ?></textarea>
    </p>

    <p>
     <label for="<?php echo $this->get_field_id('textar'); ?>"><?php _e('Textarea','featured'); ?></label>
     <textarea  name="<?php echo $this->get_field_name('textar'); ?>" id="<?php echo $this->get_field_id('textar'); ?>"  class="widefat" ><?php echo $textar; ?></textarea>
    </p>
<!-- color section -->
   <p>
<label for="<?php echo $this->get_field_id( 'headingclr' ); ?>" style="display:block;"><?php _e( 'Main Heading Color','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'headingclr' ); ?>" name="<?php echo $this->get_field_name( 'headingclr' ); ?>" type="text" value="<?php echo esc_attr( $headingclr ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'subheadingclr' ); ?>" style="display:block;"><?php _e( 'Sub Heading Color','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'subheadingclr' ); ?>" name="<?php echo $this->get_field_name( 'subheadingclr' ); ?>" type="text" value="<?php echo esc_attr( $subheadingclr ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'bgcolor' ); ?>" style="display:block;"><?php _e( 'Background Color','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'bgcolor' ); ?>" name="<?php echo $this->get_field_name( 'bgcolor' ); ?>" type="text" value="<?php echo esc_attr( $bgcolor ); ?>" />
</p>
        <?php
    }
}
?>