<?php
/**
* The Template for displaying all single posts
*
* @package ThemeHunk
* @subpackage Featured
* @since Featured 1.0
*/
get_header(); ?>
<?php $layout = featured_get_layout(); ?>
<div id="page" class="container <?php echo $layout; ?>">
	<div class="content-wrapper single-container">
		<div class="content">
		<div class="breadcrumb">
			<?php  featured_breadcrumb(); ?>
		</div>
				 <?php if (have_posts()) : while (have_posts()) : the_post();
							get_template_part('content');
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) {
							comments_template();
							}
					endwhile; endif; 
				?>
		</div>
	<?php if ( $layout != 'no-sidebar' ) { ?>
	<div class="sidebar-wrapper">	<!--Sidebar wrapper start-->
		<?php get_sidebar(); ?>
	</div>
	<?php } ?>
	</div>
</div>
<?php get_footer(); ?>