<?php
/*
  Template Name: Blog Page
 */
?>
<?php get_header();
$value = get_post_meta( $post->ID, 'th_sidebar_dyn', true ); ?>
<div id="page" class="container <?php echo $value; ?>">
    <div class="content-wrapper blog-container">
        <div class="breadcrumb">
            <h4><a href="<?php echo get_home_url(); ?>"><?php _e('Home','featured'); ?> </a> / <?php the_title(); ?></h4>
        </div>
        <div class="content">
            <?php
                $limit = get_option('posts_per_page');
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                query_posts('showposts=' . $limit . '&paged=' . $paged);
                $wp_query->is_archive = true;
                $wp_query->is_home = false;
            ?>
            <?php get_template_part('loop', 'blog'); ?>   
        </div>
        <?php if($value!='no-sidebar'): ?>
         <div class="sidebar-wrapper"><!--Sidebar wrapper start-->
        <?php get_sidebar(); ?>
        </div>
        <?php endif; ?>
    </div>
</div>
<?php get_footer(); ?>