<!DOCTYPE html>
<html <?php language_attributes(); ?> >
  <head>
  	<!-- Global site tag (gtag.js) - Google Analytics -->
    <script> 
    var gaProperty = 'UA-119139623-1'; 
    var disableStr = 'ga-disable-' + gaProperty; 
    if (document.cookie.indexOf(disableStr + '=true') > -1) { 
        window[disableStr] = true;
    } 
    function gaOptout() { 
        document.cookie = disableStr + '=true; expires=Thu, 31 Dec 2099 23:59:59 UTC; path=/'; 
        window[disableStr] = true; 
        alert('Das Tracking ist jetzt deaktiviert'); 
    } 
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){ 
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o), 
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m) 
    })(window,document,'script','https://www.google-analytics.com/analytics.js','ga'); 

    ga('create', 'UA-119139623-1', 'auto'); 
    ga('set', 'anonymizeIp', true); 
    ga('send', 'pageview'); 
</script>
    <meta charset="<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
    <link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <?php wp_head(); ?>  
  </head>
<body id="page-top" <?php body_class(); ?> >
<?php 
if (get_theme_mod('_loader_disable','')!=='1') { ?>
  <div class="overlayloader">
<div class="loader">&nbsp;</div>
</div>
<?php } ?>
<!-- Start Of Header Wrapper -->
<?php 
$menu_static_cls = '';
$static_cls = get_theme_mod('featured_sticky_header_disable');
if($static_cls == '1'){
   $menu_static_cls = 'menu-static';
  }
$menu_style_cls = '';
$menu_cls = get_theme_mod('header_layout');
if($menu_cls == 'center'){
$menu_style_cls = 'menu-center';
} 
$split_style_cls = '';
$split_cls = get_theme_mod('header_layout');
if($split_cls == 'split'){
$split_style_cls = 'menu-center split-menu';
  }  
$headr_style_cls = '';
$headr_cls = get_theme_mod('header_hide','');
if($headr_cls !== ''){
$headr_style_cls = 'header-hide';
}
$last_btn ='';
if(get_theme_mod('last_menu_btn')=='1'){
    $last_btn ='last-btn';
    }else{
    $last_btn ='';
    }
$hdr_trnsprnt='';
if(get_theme_mod('hdr_bg_trnsparent_active')=='1'){
    $hdr_trnsprnt ='hdr-transparent';
    }else{
    $hdr_trnsprnt ='';
    }    ?>
<!-- script to split menu -->
 <?php 
if (get_theme_mod('header_layout')=='split') { ?>    
  <script>
    jQuery(document).ready(function() {
    // hides home from navigation
     var position = jQuery("ul.menu > li").length;
     var middle = Math.round(position/2);
     var i = 0;
     jQuery('ul.menu > li').each(function() {
         if(i == middle) {
                <?php
        if (get_theme_mod('title_disable')==''){?>
          
            jQuery(this).before('<li class="logo-cent"><?php the_custom_logo();?></li>');
            <?php } else { ?>
      jQuery(this).before("<li class='logo-cent'><h1><a href='<?php echo esc_url( home_url( '/' ) ); ?>'><?php bloginfo('name'); ?></a></h1><p><?php bloginfo('description'); ?></p></li>");
            <?php } ?>
        }
         i++;
     });
 });
  </script>
  <?php } ?>  
<!-- script to split menu -->  
<header id="header" class="<?php echo $menu_static_cls; ?> <?php echo $menu_style_cls; ?> <?php echo $split_style_cls; ?>  <?php echo $hdr_trnsprnt; ?> <?php echo $last_btn; ?>">
<div class="header-img">
<div class="overlay-demo"></div>
</div>
<div class="header-wrapper <?php echo $headr_style_cls; ?>" >
  <!-- Start Of Top Container -->
<div class="container"> 
    <div class="header">
          <!-- Start Of Logo -->
          <div class="logo">
            <div class="logo-img">
            <?php featured_the_custom_logo(); ?>
            <?php
            if(get_theme_mod('title_disable','enable')){
            if ( is_front_page() && is_home() ) : ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php else : ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php endif;
            $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : ?>
            <p><?php echo $description; ?></p>
            <?php endif;  } ?>

            </div>
         </div>
            <!-- End Of Logo --> 
    <div id="main-menu-wrapper">
        <a href="#" id="pull" class="toggle-mobile-menu"></a>
                  <nav class="navigation clearfix mobile-menu-wrapper">
                     <?php if ( is_front_page() && is_home() ) : 
                     featured_nav_menu();
                else: 
                     featured_secnd_menu(); 
                endif;    
          ?>            
                </nav>
                <div class="clearfix"></div>
          </div>    
    </div>
  </div>  
</div>
</div>

</header>
<div class="clearfix"></div>