<?php
function featured_widgets_init() {
// Area , located below the Primary Widget Area in the sidebar. Empty by default.
register_sidebar(array(
'name' => __('Primary Sidebar', 'featured'),
'id' => 'primary-sidebar',
'description' => __('Main sidebar that appears on the left.', 'featured'),
'before_widget' => '<div class="sidebar-inner-widget">',
'after_widget' => '</div><div class="clearfix"></div>',
'before_title' => '<h4 class="widgettitle"><span>',
'after_title' => '</span></h4>',
));
// Area , located below the Secondry Widget Area in the sidebar. Empty by default.
register_sidebar(array(
'name' => __('Secondry Sidebar', 'featured'),
'id' => 'secondary-sidebar',
'description' => __('Secondry sidebar that appears on the left.', 'featured'),
'before_widget' => '<div class="sidebar-inner-widget">',
'after_widget' => '</div><div class="clearfix"></div>',
'before_title' => '<span><h4 class="widgettitle"><span>',
'after_title' => '</span></h4>',
));
// Area 1, located in the footer. Empty by default.
register_sidebar(array(
'name' => __('First Footer Widget Area', 'featured'),
'id' => 'first-footer-widget-area',
'description' => __('Appears in the first footer section of the site.', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h4 class="widgettitle" >',
'after_title' => '</h4>',
));
// Area 2, located in the footer. Empty by default.
register_sidebar(array(
'name' => __('Second Footer Widget Area', 'featured'),
'id' => 'second-footer-widget-area',
'description' => __('Appears in the Second footer section of the site.', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h4 class="widgettitle" >',
'after_title' => '</h4>',
));

// Area 3, located in the footer. Empty by default.
register_sidebar(array(
'name' => __('Third Footer Widget Area', 'featured'),
'id' => 'third-footer-widget-area',
'description' => __('Appears in the Third footer section of the site.', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h4 class="widgettitle">',
'after_title' => '</h4>',
));

// Area 4, located in the footer. Empty by default.
if(get_theme_mod('footer_layout','footer-widget-4column-active')=='footer-widget-4column-active'):
register_sidebar(array(
'name' => __('Fourth Footer Widget Area', 'featured'),
'id' => 'fourth-footer-widget-area',
'description' => __('Appears in the Fourth footer section of the site.', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h4 class="widgettitle">',
'after_title' => '</h4>',
));
endif;


register_sidebar(array(
'name' => __('Service Widget', 'featured'),
'id' => 'featured-multi-feature-widget',
'description' => __('Add Multi Service Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));

register_sidebar(array(
'name' => __('Testimonial Widget', 'featured'),
'id' => 'featured-testimonial-widget',
'description' => __('Add Testimonial Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));

register_sidebar(array(
'name' => __('Team Widget', 'featured'),
'id' => 'featured-team-widget',
'description' => __('Add Team Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Price Widget', 'featured'),
'id' => 'featured-price-widget',
'description' => __('Home Page Price Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Brand Widget', 'featured'),
'id' => 'featured-brand-widget',
'description' => __('Home Page Brand Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Skill Widget', 'featured'),
'id' => 'skill-widget',
'description' => __('Home Page Skill Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Fact-counter Widget', 'featured'),
'id' => 'fact-counter-widget',
'description' => __('Home Page Fact-counter Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Instagram Widget', 'featured'),
'id' => 'featured-instagram-feed',
'description' => __('Home Page Instagram Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
'name' => __('Add Custom Widget', 'featured'),
'id' => 'featured-custom',
'description' => __('Home Page custom Widget', 'featured'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array(
        'name' => __('Woocommerce widget area', 'featured'),
        'id' => 'th-woo-widget-area',
        'description' => __('Woocommerce page display', 'featured'),
        'before_widget' => '<div class="sidebar-inner-widget">',
'after_widget' => '</div><div class="clearfix"></div>',
'before_title' => '<span><h4 class="widgettitle"><span>',
'after_title' => '</span></h4>',
    ));   

}
/** Register sidebars by running featured_widgets_init() on the widgets_init hook. */
add_action('widgets_init', 'featured_widgets_init');
