<?php
/**
* The Index template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
*/
get_header();
$background = '';
global $is_safari;
if(get_theme_mod( 'parallax_image_video')=='video' && featured_mobile_user_agent_switch()){
$imgurl = get_theme_mod( 'parallax_video_image_upload',get_template_directory_uri().'/images/bg.jpg');
 $background = "style='background: url({$imgurl});'";  
}
if($is_safari =='1'){
$imgurl = get_theme_mod( 'parallax_video_image_upload',get_template_directory_uri().'/images/bg.jpg');
$background = "style='background: url({$imgurl});'";  
}
if(get_theme_mod( 'parallax_image_video','image')=='image'){
 $imgurl = get_theme_mod( 'parallax_image_upload',get_template_directory_uri().'/images/bg.jpg');

 $background = "style='background: url({$imgurl});'";  
}

?>
<div class="custom-background-wrapper">
<div class="main custom-background" data-type="background" <?php echo  $background;?> >
 	<?php if(get_theme_mod( 'parallax_image_video')=='video' && featured_mobile_user_agent_switch()==false){?>
	<video control="true" autoplay="autoplay" loop="loop" id="bgvid"  poster="<?php echo get_theme_mod( 'parallax_video_image_upload'); ?>">
	    <source src="<?php echo get_theme_mod( 'parallax_video_link',''); ?>" type="video/mp4" />
	    <source src="<?php echo get_theme_mod( 'parallax_video_link',''); ?>" type="video/mp4" />
	  </video>
	<?php } ?>
<!-- background slider call -->
<?php if(get_theme_mod( 'parallax_image_video')=='slider'){?>

<?php get_template_part( 'template/background_slider'); ?> 

<?php } ?>
<!-- background slider call -->
</div> 

</div>

<?php if(get_theme_mod( 'lead_sett')=='lead_gen'){
$swt_cls ='switch-lead';
}else{
$swt_cls ='';
}
$bnt_style = get_theme_mod('slidr_button','default');?>
<div class="main-header-section <?php echo $swt_cls;?> <?php echo $bnt_style ?>">
<div class="container">
		<div class="main-text wow fadeInDown" data-wow-duration="2s">
		<?php if(get_theme_mod( 'parallax_heading',__('Beautiful Wordpress Business Themes','featured'))!=''){?>
			<h1><?php echo get_theme_mod( 'parallax_heading',__('BEAUTIFUL WORDPRESS BUSINESS THEMES','featured')); ?></h1>
			<?php } ?>
			<div class="main-head-partition"></div>
		<?php if(get_theme_mod( 'parallax_subheading',__('Best Optimized WordPress Themes','featured'))!=''){?>
			<h2><?php echo get_theme_mod( 'parallax_subheading',__('Best Optimized WordPress Themes','featured')); ?></h2>
				<?php } ?>
		<?php if(get_theme_mod( 'parallax_button_link','#')!=''){?>
			<div class="main-button">
 <?php if(get_theme_mod( 'prlx_opn_new_tab')==''){?>
				<a href="<?php echo get_theme_mod( 'parallax_button_link','#'); ?>"><button><?php echo get_theme_mod( 'parallax_button_text',__('Buy Now','featured')); ?></button></a>
	<?php } else { ?>
				<a href="<?php echo get_theme_mod( 'parallax_button_link','#'); ?>" target=_blank><button><?php echo get_theme_mod( 'parallax_button_text',__('Buy Now','featured')); ?></button></a>
		  <?php } ?>		
			</div>
			<?php } ?>
		</div>
		<!-- top  three feature parallax section -->
		<?php if(get_theme_mod( 'lead_sett')=='lead_gen' ){?>
		
        <div class="lead-genration-wrapper">
           <p class="contact-popup-hide">
              <a class="button" href='#popup1'><?php _e('Contact','featured');?></a>
           </p>
        <div id="popup1" class="overlay-pop">
            <div class="popup">
              <a class="close" href="#">&times;</a>
              <?php $ldfrm = get_theme_mod('lead_shrt_code_top','[lead-form form-id=1 title=Contact Us]');
                   echo do_shortcode($ldfrm); 
                ?>
            </div>
       </div>
          <div id="cnt-page">
            <?php $ldfrm = get_theme_mod('lead_shrt_code_top','[lead-form form-id=1 title=Contact Us]');
              echo do_shortcode($ldfrm); ?>
           </div>
   </div>
<?php } else { ?>
	<?php  get_template_part( 'template/section', 'topthree' ); 
} ?> 
	</div>
</div>
	<div class="clearfix"></div>
<?php 
	$section = array('section_ribbon','section_services','section_aboutus',
    'section_blogslider','section_testimonial','section_newsletter','section_team','section_woocommerce','section_price','section_bottom_ribbon','section_brand','section_contact','section_custom','section_portfolio','section_skill',
        'section_counter','section_instagram');
        foreach(get_theme_mod('section_sorting',$section) as $value):
        get_template_part( 'template/'.$value); 
        endforeach;
?>
<div class="clearfix"></div>
<?php get_footer(); ?>