<?php 
$plx_choose_first = get_theme_mod('first_feature_choose','icon'); 
$plx_choose_second = get_theme_mod('second_feature_choose','icon');
$plx_choose_third = get_theme_mod('third_feature_choose','icon');
$first_parallax_img = get_theme_mod('first_parallax_img','');
$second_parallax_img = get_theme_mod('second_parallax_img','');
$third_parallax_img = get_theme_mod('third_parallax_img','');
?>
<ul class="main-feature ">
	<li class="featured-section first wow fadeInLeftBig" data-wow-duration="2s">
		<a href="<?php echo get_theme_mod('first_parallax_link','#'); ?>">
			<span class="featured-icon">
			<?php if($plx_choose_first=='icon'){?>
				<i class="<?php echo get_theme_mod('first_parallax_font_icon','fa fa-leaf'); ?>"></i>
				<?php } else { ?>
				<img src="<?php echo $first_parallax_img; ?>"/>
				<?php }?>
			</span>
			<?php if(get_theme_mod( 'first_parallax_heading')==''){?>
				<h3><?php _e('Parallax Effect','featured');?></h3>
			<?php } else { ?>
				<h3><?php echo get_theme_mod( 'first_parallax_heading'); ?></h3>
			<?php } ?>
			<?php if(get_theme_mod( 'first_parallax_desc')==''){?>
				<p><?php _e('Lorem Ipsum is simply dummy text','featured');?></p>
			<?php } else { ?>
				<p><?php echo get_theme_mod( 'first_parallax_desc'); ?></p>
			<?php } ?>
		</a>
	</li>
<li class="featured-section second wow fadeInUpBig" data-wow-duration="2s">
		<a href="<?php echo get_theme_mod('second_parallax_link','#'); ?>">
			<span class="featured-icon">
			<?php if($plx_choose_second=='icon'){?>
				<i class="<?php echo get_theme_mod('second_parallax_font_icon','fa fa-apple'); ?>"></i>
				<?php } else { ?>
				<img src="<?php echo $second_parallax_img; ?>"/>
				<?php }?>
			</span>
			<?php if(get_theme_mod( 'second_parallax_heading')==''){?>
				<h3><?php _e('Unlimited options','featured');?></h3>
			<?php } else{ ?>
				<h3><?php echo get_theme_mod( 'second_parallax_heading'); ?></h3>
			<?php } ?>
			<?php if(get_theme_mod( 'second_parallax_desc')==''){?>
				<p><?php _e('Lorem Ipsum is simply dummy text','featured');?></p>
			<?php } else { ?>
				<p><?php echo get_theme_mod( 'second_parallax_desc'); ?></p>
			<?php } ?>
		</a>
	</li>
	<li class="featured-section third wow fadeInRightBig" data-wow-duration="2s">
	<a href="<?php echo get_theme_mod('third_parallax_link','#'); ?>">
			<span class="featured-icon">
			<?php if($plx_choose_third=='icon'){?>
				<i class="<?php echo get_theme_mod('third_parallax_font_icon','fa fa-ban'); ?>"></i>
				<?php } else { ?>
				<img src="<?php echo $third_parallax_img; ?>"/>
				<?php }?>
			</span>
			<?php if(get_theme_mod( 'third_parallax_heading')==''){?>
			<h3><?php _e('Responsive design','featured');?></h3>
			<?php } else{ ?>
				<h3><?php echo get_theme_mod( 'third_parallax_heading'); ?></h3>
			<?php } ?>
			<?php if(get_theme_mod( 'third_parallax_desc')==''){?>
				<p><?php _e('Lorem Ipsum is simply dummy text','featured');?></p>
			<?php } else { ?>
				<p><?php echo get_theme_mod( 'third_parallax_desc'); ?></p>
			<?php } ?>
		</a>
	</li>
</ul>